Bug 558426 - prefs.php requires /etc/horde/imp/../lib/IMP.php
Summary: prefs.php requires /etc/horde/imp/../lib/IMP.php
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: imp
Version: el5
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Nick Bebout
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-01-25 10:16 UTC by Ronny Buchmann
Modified: 2010-04-20 22:19 UTC (History)
2 users (show)

Fixed In Version: imp-4.3.6-1.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-04-01 01:46:23 UTC
Type: ---


Attachments (Terms of Use)

Description Ronny Buchmann 2010-01-25 10:16:56 UTC
apache error log:

PHP Fatal error:  require_once() [<a href='function.require'>function.require</a>]: Failed opening required '/etc/horde/imp/../lib/IMP.php' (include_path='/usr/share/horde/lib:.:/usr/share/pear:/usr/share/php') in /etc/horde/imp/prefs.php on line 9

after looking at the spec file I found that the sed run doesn't catch the problematic line

# Fix IMP_BASE in prefs.php
%{__sed} --in-place "s#dirname(__FILE__) . '/..'#'/usr/share/horde/imp'#" prefs.php

correct would be:
%{__sed} --in-place "s#dirname(__FILE__) . '/..#'/usr/share/horde/imp#" prefs.php


also imp is not build for EL-5 (I built it locally from cvs)

please fix and build

Thanks
Ronny

Comment 1 Ronny Buchmann 2010-01-25 10:17:50 UTC
same problem seems to exist in F-12 and devel

Comment 2 Fedora Update System 2010-03-29 16:03:11 UTC
imp-4.3.4-3.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/imp-4.3.4-3.fc12

Comment 3 Fedora Update System 2010-03-29 16:03:16 UTC
imp-4.3.4-3.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/imp-4.3.4-3.fc13

Comment 4 Fedora Update System 2010-03-29 16:03:20 UTC
imp-4.2-3.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/imp-4.2-3.el5

Comment 5 Fedora Update System 2010-03-29 16:24:45 UTC
imp-4.3.4-3.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/imp-4.3.4-3.fc11

Comment 6 Fedora Update System 2010-03-29 17:12:41 UTC
imp-4.3.6-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/imp-4.3.6-1.fc13

Comment 7 Fedora Update System 2010-03-29 17:13:09 UTC
imp-4.3.6-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/imp-4.3.6-1.fc12

Comment 8 Fedora Update System 2010-03-29 17:13:30 UTC
imp-4.3.6-1.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/imp-4.3.6-1.el5

Comment 9 Fedora Update System 2010-03-29 17:13:52 UTC
imp-4.3.6-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/imp-4.3.6-1.fc11

Comment 10 Fedora Update System 2010-03-30 03:18:57 UTC
imp-4.3.6-1.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/imp-4.3.6-1.el5

Comment 11 Fedora Update System 2010-04-01 01:46:08 UTC
imp-4.3.6-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2010-04-01 01:46:37 UTC
imp-4.3.6-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2010-04-09 03:45:08 UTC
imp-4.3.6-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2010-04-20 22:19:09 UTC
imp-4.3.6-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.